Berkeley DB Java Edition version 3.2.76

## com.sleepycat.je
Class LockNotGrantedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.je.DatabaseException
                  com.sleepycat.je.DeadlockException
                      com.sleepycat.je.LockNotGrantedException

All Implemented Interfaces:
  Serializable

    public class LockNotGrantedException

extends DeadlockException

A LockNotGrantedException is thrown when a non-blocking operation fails to get a lock.

See Also:
  Serialized Form

Constructor Summary
`LockNotGrantedException()`

Method Summary

Methods inherited from class com.sleepycat.je.DeadlockException
`getOwnerTxnIds, getWaiterTxnIds`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LockNotGrantedException

    public LockNotGrantedException()

Berkeley DB Java Edition version 3.2.76

Copyright 1996,2008 Oracle. All rights reserved.